//-----------------------------------------------------------------------------
//
//  $Logfile:: /game/sniperrifle.h                                            $
// $Revision:: 2                                                              $
//   $Author:: Burgermac                                                      $
//     $Date:: 12/27/00 7:27 PM                                               $
//
// Copyright (C) 1998 by Ritual Entertainment, Inc.
// All rights reserved.
//
// This source is may not be distributed and/or modified without
// expressly written permission by Ritual Entertainment, Inc.
//
// DESCRIPTION:
// Sniper rifle
//

#ifndef __SNIPERRIFLE_H__
#define __SNIPERRIFLE_H__

#include "g_local.h"
#include "item.h"
#include "weapon.h"

class SniperRifle : public BulletWeapon
{
public:
	CLASS_PROTOTYPE( SniperRifle );

	/*SniperRifle::*/ SniperRifle();
	virtual void        Shoot( Event* ev );
	virtual void        DoneRaising( Event* ev );
	virtual void        Open( Event* ev );
	virtual void      SecondaryUse( Event* ev );
	virtual void      DoneLowering( Event* ev );
	virtual qboolean  AutoChange( void );
	virtual void        ReleaseFire( float time );

	EntityPtr LaserDot;
	virtual void RemoveDot( void );
	virtual void PositionDot( Event* ev );
	virtual void DetachGun( void );
	~SniperRifle();
};

#endif /* sniperrifle.h */
